<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:layout_marginLeft="16dp"
    android:layout_marginRight="16dp"
    android:background="@drawable/bg_shape_f8_radius_6"
    android:paddingBottom="16dp">

    <com.facebook.drawee.view.SimpleDraweeView
        android:id="@+id/poster"
        style="@style/frescoStyle"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        app:layout_constraintDimensionRatio="W,9:16"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:roundBottomLeft="false"
        app:roundBottomRight="false"
        app:roundTopLeft="true"
        app:roundTopRight="true"
        app:roundedCornerRadius="6dp" />

    <TextView
        android:id="@+id/recommendTag"
        android:layout_width="wrap_content"
        android:layout_height="20dp"
        android:layout_margin="12dp"
        android:background="@drawable/bg_shape_black_alpha_40_radius_3"
        android:gravity="center"
        android:paddingLeft="6dp"
        android:paddingRight="6dp"
        android:textColor="@color/white"
        android:textSize="@dimen/tag_text_size"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        tools:text="福利活动" />

    <TextView
        android:id="@+id/recommendTextOne"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginLeft="16dp"
        android:layout_marginTop="12dp"
        android:layout_marginRight="16dp"
        android:ellipsize="end"
        android:includeFontPadding="false"
        android:singleLine="true"
        android:textColor="@color/text_title"
        android:textSize="@dimen/secondary_title_text_size"
        app:layout_constrainedWidth="true"
        app:layout_constraintHorizontal_bias="0"
        app:layout_constraintHorizontal_chainStyle="packed"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/poster"
        android:textStyle="bold"
        app:layout_goneMarginRight="12dp"
        tools:text="火炬之光：无限" />

    <TextView
        android:id="@+id/recommendTextTwo"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginLeft="16dp"
        android:layout_marginTop="6dp"
        android:layout_marginRight="16dp"
        android:ellipsize="end"
        android:includeFontPadding="false"
        android:singleLine="true"
        android:textColor="@color/text_subtitleDesc"
        android:textSize="@dimen/secondary_size"
        app:layout_constraintHorizontal_bias="0"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/recommendTextOne"
        tools:text="无体力无PVP，爽快战斗纯正打宝，即刻预约" />

</androidx.constraintlayout.widget.ConstraintLayout>